#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "AmbApp.h"
#include "AmbWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(AmbApp, RMApp)
	//{{AFX_MSG_MAP(AmbApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

AmbApp theapp;

BOOL AmbApp::InitInstance()
{
#ifdef _DEBUG
	afxTraceEnabled=FALSE;
#endif
	AmbWin* win=new AmbWin;
	if (!win->Create("Amb",IDI_ICON,IDR_MAINMENU))
		return FALSE;
	win->SetColorModel(D3DCOLOR_RGB);
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
